NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Types | Public Member Functions | Private Attributes | List of all members
better_enums::_Iterable< Element > Struct Template Reference
Collaboration diagram for better_enums::_Iterable< Element >:
[legend]

## Public Types
typedef const Element * | iterator

## Public Member Functions
BETTER_ENUMS_CONSTEXPR_ iterator | begin () const
BETTER_ENUMS_CONSTEXPR_ iterator | end () const
BETTER_ENUMS_CONSTEXPR_ std::size_t | size () const
BETTER_ENUMS_CONSTEXPR_ const Element & | operator[] (std::size_t index) const
BETTER_ENUMS_CONSTEXPR_ | _Iterable (const Element *array, std::size_t s)

## Private Attributes
const Element *const | _array
const std::size_t | _size

## Detailed Description

template<typename Element>
struct better_enums::_Iterable< Element >

Definition at line 379 of file NeEnum.h.

## Member Typedef Documentation

## ◆ iterator

template<typename Element >

typedef const Element* better_enums::_Iterable< Element >::iterator

Definition at line 380 of file NeEnum.h.

## Constructor & Destructor Documentation

## ◆ _Iterable()

template<typename Element >

BETTER_ENUMS_CONSTEXPR_ better_enums::_Iterable< Element >::_Iterable | ( | const Element * | array,
|  | std::size_t | s
| ) |  |
| inline

Definition at line 389 of file NeEnum.h.

## Member Function Documentation

## ◆ begin()

template<typename Element >

BETTER_ENUMS_CONSTEXPR_ iterator better_enums::_Iterable< Element >::begin | ( |  | ) | const
| inline

Definition at line 382 of file NeEnum.h.

## ◆ end()

template<typename Element >

BETTER_ENUMS_CONSTEXPR_ iterator better_enums::_Iterable< Element >::end | ( |  | ) | const
| inline

Definition at line 383 of file NeEnum.h.

## ◆ size()

template<typename Element >

BETTER_ENUMS_CONSTEXPR_ std::size_t better_enums::_Iterable< Element >::size | ( |  | ) | const
| inline

Definition at line 385 of file NeEnum.h.

## ◆ operator[]()

template<typename Element >

BETTER_ENUMS_CONSTEXPR_ const Element & better_enums::_Iterable< Element >::operator[] | ( | std::size_t | index | ) | const
| inline

Definition at line 386 of file NeEnum.h.

## Member Data Documentation

## ◆ _array

template<typename Element >

const Element* const better_enums::_Iterable< Element >::_array
| private

Definition at line 393 of file NeEnum.h.

## ◆ _size

template<typename Element >

const std::size_t better_enums::_Iterable< Element >::_size
| private

Definition at line 394 of file NeEnum.h.

The documentation for this struct was generated from the following file:

- NeEnum.h